<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<style type="text/css">
	.modal {
		position: fixed;
		text-align: left;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		z-index: 10;
		display: flex;
		align-items: center;
		justify-content: center;
		background: rgb(0 0 0 / 30%);
		opacity: 0;
		visibility: hidden;
		transition: .3s;
	}
	.modal.active {
		visibility: visible;
		opacity: 1
	}
	.modal-container {
		margin-top:-150px;
		transition: .3s;
		width:700px;
		border-radius:3px;
		overflow:hidden;
		background:white;
	}
	.modal.active .modal-container {
		margin-top:0;
	}
	.modal-header {
		background:rgb(0 0 0 / 10%);
		font-size:16px;
		display:flex;
		align-items:center;
		justify-content:space-between;
		padding:14px 21px;
	}
	.modal-close {
		display:flex;
		cursor:pointer
	}
	.modal-close svg {
		width:23px;
		height:auto;
	}
	.modal-body {
		padding:15px 21px;
	}
	.modal-body .diyovm-format-item input {
		border-right: 1px solid #cfcfcf;
		padding-left: 5px !important;
		width: 99%;
	}
	.badge {
		border-radius:3px;
		padding:4px 7px;
		font-family:"arial";
		font-size:13px;
		color:white;
		font-weight:600;
	}
	.select2-container--default .select2-selection--single .select2-selection__arrow {
		height: max-content;
		top: 0;
		bottom: 0;
		margin: auto;
	}
	button {
		font-family: 'Titillium Web',sans-serif;
	}
	.mavibtn{
		padding: 8px 16px;
		background: rgba(232,98,86,0.8);
		color: white;
		font-weight: 600;
		border-radius: 3px;
	}
	.mavibtn:hover {
		background:rgba(232,98,86,1) !important;
	}
	.empty-icon {
		margin-top:15px;
	}
	.empty-desc {
		margin-bottom:15px;
	}
	.empty-title {
		font-size:1.25rem;
		font-weight:600;
		margin:0.5rem 0;
	}
	.diyovm-page {
		display: none;
	}
	.diyovm-new {
		border: 1px solid #e7e6e6;border-radius: 5px;overflow: hidden;border-top: 0;
	}
	.diyovm-page.active {
		display:block;
		padding: 15px;
	}
	.diyovm-table {
		margin-bottom: 20px;
	}
	.diyovm-table:last-child {
		margin-bottom: 0;
	}
	.diyovm-new .tab {
		flex-wrap: wrap;
		display: flex;
	}
	.diyovm-new .tab a {
		display: block;
		color:#1d78b9;
	}
	.diyovm-new .tab li {
		float: initial;
		flex: auto;
	}
	.diyovm-table-header {
		padding: 10px 20px;
		border-top-left-radius: 5px;
		border-top-right-radius: 5px;
		background: #f8f8f8;
		font-size: 15px;
		font-weight: 600;
	}
	.diyovm-table table {
		width:100%;
		border-spacing: 0;
	}
	.diyovm-table table td {
		border-radius:0 !important;
	}
	.diyovm-table {
		border: 1px solid #f4e9e9;
		border-radius: 5px;
		overflow: hidden;
	}
	.diyovm-table tbody tr:last-child td {
		border:none;
	}
	.text-success {
		color: #8bc34a;
	}

	.diyovm-manage {
		display:flex;
		justify-content:center;
	}
	.diyovm-manage button {
		display:
		flex;
		align-items:
		center;
		margin-right:20px;
		border:
		none;
		cursor:
		pointer;
		font-size: 18px;
		background: #ed8178;
		color:
		white;
		border-radius:5px;
		padding: 13px 20px;font-weight:600;
		flex: auto;
		transition:.3s;
		justify-content: center;
	}
	.diyovm-manage button:hover {
		background:#932e25;
	}
	.diyovm-manage button svg {
		fill:
		currentColor;
		margin-right: 8px;
	}
	.diyovm-manage button span {
		display:flex;
	}
	.diyovm-manage button[data-action='restart']{
		background:#1d78b9;
		margin-right:0;
	}

	.diyovm-format {
		text-align:left;
	}
	.diyovm-format-item label {
		font-size:15px;
		margin-bottom:5px;
		display:block;
	}
	.diyovm-format-item {
		margin-bottom:20px;
	}
	.diyovm-format-password {
		display:flex;
	}
	.diyovm-format-password button {
		width:30%;
		min-width:220px;
		color:White;
		transition:.3s;
		cursor:pointer;
		font-size:16px;
		font-weight:600;
		border:none;
		background:#1d78b9;
	}
	.diyovm-manage button[data-action='restart']:hover,.diyovm-format-password button:hover {
		background:#136097;
	}

	.diyovm-format-item input {
		flex: auto;
		border: none;
		border: 1px solid #cfcfcf;
		background: white;
		border-right: 0;
		padding-left: 12px;
		border-radius: 4px;
	}
	.select2-container--default .select2-selection--single,.select2-dropdown,.select2-container--default .select2-search--dropdown .select2-search__field {
		border-color:#cfcfcf
	}
	.diyovm-format-approval input {
		appearance: none;
		background: white;
		border: 1px solid #cfcfcf;
		width: 18px;
		height: 18px;
		border-radius: 2px;
		display: inline-flex;
		align-items: center;
		justify-content: center;
		margin: 0;
		padding: 0;
		position: relative;
		margin-right:5px;
		top: 4px;
		box-shadow: 0 0 5px rgb(0 0 0 / 7%);
		cursor: pointer;
		background-repeat: no-repeat;
		background-size: 59%;
		transition: .3s;
		background-position: center center;
		background-image: url("data:image/svg+xml,%3Csvg fill='%23cfcfcf' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath d='M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z'/%3E%3C/svg%3E");
	}
	.diyovm-format-approval input:checked {
		background-size: 65%;
		border-color: #1d78b9;
		background-image: url("data:image/svg+xml,%3Csvg fill='%231d78b9' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath d='M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z'/%3E%3C/svg%3E");	
	}
	.diyovm-format-btn .mavibtn {
		cursor:pointer;
		width:max-content;
		padding:10px 19px;
		border-radius:2px;
		font-weight:400;
		font-size:15px;
		text-transform:uppercase;
		display:block;
		margin:35px auto 10px auto;
	}
	.pagination {
		display:flex;
		width:100%;
		justify-content:flex-end;
		margin:15px 0;
	}
	.pagination-container {
		display:flex;
	}
	.pagination .item a,.pagination .item span,.pagination .right a,.pagination .left a {
		width:40px;
		height:40px;
		display:
		flex;
		border-radius:2px;
		margin-right:5px;
		align-items:
		center;
		justify-content:
		center;
		background: #ffc4bf;
		color: rgb(163 76 69 / 0.7);
		font-weight: 600;
	}
	.pagination .item.active span,.pagination .item a:hover,.pagination .left a:hover,.pagination .right a:hover {
		background: #ed8178;
		color:
		white;
		user-select: none;
	}
	.pagination .special {
		margin-left:7px;
		display:flex;
		align-items:center;
		margin-right:15px;
	}
	.pagination svg {
		fill:currentColor;
	}
	.pagination .left a svg {
		transform:rotate(-180deg)
	}
	.diyovm-stats {
		display:
		flex;
		text-align: left;
	}
	.diyovm-stats .item {
		flex:
		auto;
		width:25%;
		border-radius: 2px;
		border: 1px solid #dbdbdb;
		margin-right:15px;
		display:
		flex;
		align-items:
		center;
		padding: 22px;
	}
	.diyovm-stats .item[color='blue'] .icon {
		color: #1d78b9;
	}
	.diyovm-stats .item[color='blue'] .progress-bar {
		background: #1d78b9;
	}

	.diyovm-stats .item[color='yellow'] .icon {
		color: #ed8178;
	}
	.diyovm-stats .item[color='yellow'] .progress-bar {
		background: #ed8178;
	}
	.diyovm-stats .item[color='green'] .icon {
		color: green;
	}
	.diyovm-stats .item[color='green'] .progress-bar {
		background: green;
	}
	.diyovm-stats .item .icon {
		display:flex;
	}
	.diyovm-stats .item .icon svg {
		width:60px;
		height:auto;
	}
	.diyovm-stats .item .right {
		margin-left: 20px;
		font-size: 16px;
		flex: auto;
		width: 10%;
	}
	.diyovm-stats .item .right .title {margin-bottom: 8px;}
	.diyovm-stats .item:last-child {
		margin-right:0;
	}
	.diyovm-stats .item .right .data .mb {
		font-weight:700;
		margin-bottom:10px;
	}
	.diyovm-stats .item .right .data .used {
		margin-top:10px;
	}
	.diyovm-stats .progress {
		height:10px;
		border-radius:5px;
		overflow:
		hidden;
		display:
		block;
		background: #dbdbdb;
		width:100%;
	}
	.diyovm-stats .progress-bar {
		display:block;
		height:100%;
	}
	.diyovm-manage button[data-action="start"] {
		background:green;
		margin-right:0;
	}
</style>
<br>
<br>
<table width="100%" border="0">
	<tbody>
		<tr>
			<td colspan="2" bgcolor="#ebebeb"><strong>Sunucu İstatistikleri</strong></td>
		</tr>
		<tr>
			<td>
				<div class="diyovm-stats">
					<div class="item" color="yellow">
						<?php
						$limit = $vm["sdata"]["stats"]["cpu_hz"]*$vm["sdata"]["settings"]["core"]*1000;
						$used = $vm["sdata"]["stats"]["cpu_mhz"];
						$percent = $vm["sdata"]["stats"]["cpu_percent"];
						?>
						<div class="icon">
							<svg fill="currentColor" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" viewBox="0 0 512 512"><path d="M490 164a10 10 0 1 0 0-20h-50v-21h50a10 10 0 1 0 0-20h-51c-2-16-14-28-30-30V22a10 10 0 0 0-20 0v50h-21V22a10 10 0 0 0-20 0v50h-21V22a10 10 0 0 0-20 0v50h-20V22a10 10 0 0 0-21 0v50h-20V22a10 10 0 0 0-21 0v50h-20V22a10 10 0 0 0-20 0v50h-21V22a10 10 0 0 0-20 0v50h-21V22a10 10 0 0 0-20 0v51c-16 2-28 14-30 30H22a10 10 0 0 0 0 20h50v21H22a10 10 0 0 0 0 20h50v21H22a10 10 0 0 0 0 20h50v20H22a10 10 0 0 0 0 21h50v20H22a10 10 0 0 0 0 21h50v20H22a10 10 0 0 0 0 20h50v21H22a10 10 0 0 0 0 20h50v21H22a10 10 0 0 0 0 20h51c2 16 14 28 30 30v51a10 10 0 0 0 20 0v-50h21v50a10 10 0 1 0 20 0v-50h21v50a10 10 0 1 0 20 0v-50h20v50a10 10 0 1 0 21 0v-50h20v50a10 10 0 1 0 21 0v-50h20v50a10 10 0 1 0 20 0v-50h21v50a10 10 0 1 0 20 0v-50h21v50a10 10 0 1 0 20 0v-51c16-2 28-14 30-30h51a10 10 0 1 0 0-20h-50v-21h50a10 10 0 1 0 0-20h-50v-21h50a10 10 0 1 0 0-20h-50v-20h50a10 10 0 1 0 0-21h-50v-20h50a10 10 0 1 0 0-21h-50v-20h50a10 10 0 1 0 0-20h-50v-21h50zm-71 241c0 8-6 14-14 14H107c-8 0-14-6-14-14V107c0-8 6-14 14-14h298c8 0 14 6 14 14v298z"/><circle cx="133.7" cy="133.7" r="10.2"/><circle cx="133.7" cy="378.3" r="10.2"/><path d="M378 123a10 10 0 1 0 0 21 10 10 0 0 0 0-21zM378 368a10 10 0 1 0 0 21 10 10 0 0 0 0-21zM307 154H174a10 10 0 0 0 0 20h133a10 10 0 0 0 0-20zM307 205H174a10 10 0 0 0 0 20h133a10 10 0 0 0 0-20zM266 256h-92a10 10 0 1 0 0 20h92a10 10 0 0 0 0-20z"/></svg>
						</div>
						<div class="right">
							<div class="title">
								CPU MHZ (<?=$vm["sdata"]["settings"]["core"]?> Çekirdek)
							</div>
							<div class="data">
								<div class="mb">
									<?=$limit?> MHZ
								</div>
								<div class="progress">
									<div class="progress-bar" style="width:<?=$percent?>%"></div>
								</div>
								<div class="used">
									<strong><?=$used?></strong> MHZ Kullanılan (<?=$percent?>%)
								</div>
							</div>
						</div>
					</div>
					<div class="item" color="blue">
						<?php
						$limit = $vm["sdata"]["settings"]["ram"];
						$used = $vm["sdata"]["stats"]["ram_mb"];
						$percent = $vm["sdata"]["stats"]["ram_percent"];
						?>
						<div class="icon">
							<svg width="64" height="64" viewBox="0 0 64 64" fill="none" xmlns="http://www.w3.org/2000/svg">
								<path d="M2 26H3C3.79565 26 4.55871 26.3161 5.12132 26.8787C5.68393 27.4413 6 28.2044 6 29C6 29.7956 5.68393 30.5587 5.12132 31.1213C4.55871 31.6839 3.79565 32 3 32H2V46H62V32H61C60.2044 32 59.4413 31.6839 58.8787 31.1213C58.3161 30.5587 58 29.7956 58 29C58 28.2044 58.3161 27.4413 58.8787 26.8787C59.4413 26.3161 60.2044 26 61 26H62V19H2V26ZM7.8 44H4V39H7.8V44ZM13.6 44H9.8V39H13.6V44ZM19.4 44H15.6V39H19.4V44ZM25.2 44H21.4V39H25.2V44ZM31 44H27.2V39H31V44ZM36.8 44H33V39H36.8V44ZM42.6 44H38.8V39H42.6V44ZM48.4 44H44.6V39H48.4V44ZM54.2 44H50.4V39H54.2V44ZM60 44H56.2V39H60V44ZM4 21H60V24.1C58.8697 24.3295 57.8535 24.9427 57.1236 25.8357C56.3937 26.7288 55.995 27.8466 55.995 29C55.995 30.1534 56.3937 31.2712 57.1236 32.1643C57.8535 33.0573 58.8697 33.6705 60 33.9V37H4V33.9C5.13029 33.6705 6.14647 33.0573 6.87638 32.1643C7.60628 31.2712 8.00501 30.1534 8.00501 29C8.00501 27.8466 7.60628 26.7288 6.87638 25.8357C6.14647 24.9427 5.13029 24.3295 4 24.1V21Z" fill="currentColor"/>
								<path d="M18 23H10V35H18V23ZM16 33H12V25H16V33Z" fill="currentColor"/>
								<path d="M28 23H20V35H28V23ZM26 33H22V25H26V33Z" fill="currentColor"/>
								<path d="M44 23H36V35H44V23ZM42 33H38V25H42V33Z" fill="currentColor"/>
								<path d="M54 23H46V35H54V23ZM52 33H48V25H52V33Z" fill="currentColor"/>
							</svg>
						</div>
						<div class="right">
							<div class="title">
								Ram Bellek
							</div>
							<div class="data">
								<div class="mb">
									<?=$limit?> MB
								</div>
								<div class="progress">
									<div class="progress-bar" style="width:<?=$percent?>%"></div>
								</div>
								<div class="used">
									<?=$used?> MB Kullanılan (%<?=$percent?>)
								</div>
							</div>
						</div>
					</div>
					<div class="item" color="green">
						<?php
						$limit = $vm["sdata"]["settings"]["disk"];
						$used = $vm["sdata"]["stats"]["disk_gb"];
						$percent = $vm["sdata"]["stats"]["disk_percent"];

						?>
						<div class="icon">
							<svg fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M464 288h-416C21.5 288 0 309.5 0 336v96C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-96C512 309.5 490.5 288 464 288zM320 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 416 320 416zM416 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S433.6 416 416 416zM464 32h-416C21.5 32 0 53.5 0 80v192.4C13.41 262.3 29.92 256 48 256h416c18.08 0 34.59 6.254 48 16.41V80C512 53.5 490.5 32 464 32z"/></svg>
						</div>
						<div class="right">
							<div class="title">
								Disk Alanı
							</div>
							<div class="data">
								<div class="mb">
									<?=$limit?> GB
								</div>
								<div class="progress">
									<div class="progress-bar" style="width:<?=$percent?>%"></div>
								</div>
								<div class="used">
									<strong><?=$used?> GB</strong> Kullanılan (%<?=$percent?>)
								</div>
							</div>
						</div>
					</div>
				</div>
			</td>
			</tr>
		</tbody>
	</table>


	<br><br>

	<div class="diyovm-new">
		<ul class="tab tab-new">
			<li>
				<a href="javascript:void(0)" data-tab="sunucu-bilgileri" class="tablinks active"><i class="fa fa-server"></i> Sunucu Bilgileri</a>
			</li>
			<li>
				<a href="javascript:void(0)" data-tab="guc-yonetimi" class="tablinks"><i class="fa fa-server"></i> Sunucu Yönetimi</a>
			</li>
			<li>
				<a href="javascript:void(0)" data-tab="ipv4-yonetimi" class="tablinks"><i class="fa fa-server"></i> IPv4 Yönetimi</a>
			</li>
			<li>
				<a href="javascript:void(0)" data-tab="yedek-yonetimi" class="tablinks"><i class="fa fa-server"></i> Yedek Yönetimi</a>
			</li>
			<li>
				<a href="javascript:void(0)" data-tab="transaction-records" class="tablinks"><i class="fa fa-server"></i> İşlem Kayıtları</a>
			</li>
			<li>
				<a href="javascript:void(0)" data-tab="rDns" class="tablinks"><i class="fa fa-server"></i> rDNS</a>
			</li>
			<li>
				<a href="javascript:void(0)" data-tab="format" class="tablinks"><i class="fa fa-server"></i> Format</a>
			</li>
		</ul>
		<div data-content="sunucu-bilgileri" class="diyovm-page active">
			<div class="diyovm-table">
				<div class="diyovm-table-header">
					Sunucu Bilgileri
				</div>
				<table>
					<thead>
						<tr>
							<th>Kullanıcı Adı</th>
							<th>Temel Şifre</th>
							<th>Temel IP Adresi</th>
							<th>İşletim Sistemi</th>
							<th>Çalışma Süresi</th>
						</tr>
					</thead>
					<tbody>
						<tr class="copy">
							<td><span copy><?= $vm["sdata"]["config"]["username"] ?></span></td>
							<td><span copy><?= $vm["sdata"]["config"]["password"] ?></span></td>
							<td><b><span copy><?= $vm["sip"] ?></span></b></td>
							<td><?= $vm["sdata"]["templatename"] ?></td>
							<td><?= round($vm["sdata"]["stats"]["uptime"]/60) ?> Dakika</td>
						</tr>
					</tbody>
				</table>
			</div>
			<div class="diyovm-table">
				<div class="diyovm-table-header">
					Sunucu Özellikleri
				</div>
				<table>
					<thead>
						<tr>
							<th>Donanım</th>
							<th>Miktar</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>İşlemci</td>
							<td><?= $vm["sdata"]["settings"]["core"] ?> Çekirdek</td>
						</tr>
						<tr>
							<td>Ram</td>
							<td><?= $vm["sdata"]["settings"]["ram"] ?> MB</td>
						</tr>
						<tr>
							<td>Disk</td>
							<td><?= $vm["sdata"]["settings"]["disk"] ?> GB</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		<div data-content="transaction-records" class="diyovm-page">
			<?php if($logs): ?>
			<div class="diyovm-table">
				<div class="diyovm-table-header">
					İşlem Kayıtları
				</div>
				<table>
					<thead>
						<tr>
							<th>#</th>
							<th>Makina</th>
							<th>İşlem</th>
							<th>Tarih</th>
						</tr>
					</thead>
					<tbody>
						<?php foreach($logs as $log): ?>
						<tr>
							<td><?= $log["lid"] ?></td>
							<td><?= $log["lvmname"] ?></td>
							<td><?= $log["ldescription"] ?></td>
							<td><?= date("d-m-Y - H:i",$log["ldateline"]) ?></td>
						</tr>
						<?php endforeach; ?>
					</tbody>
					<tfoot style="display:none">
						<tr>
							<td colspan="4">
								<div class="pagination">
									<div class="pagination-container">
										<div class="left">
											<a href="#">
												<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M13.172 12l-4.95-4.95 1.414-1.414L16 12l-6.364 6.364-1.414-1.414z"/></svg>
											</a>
										</div>
										<div class="item active">
											<span>1</span>
										</div>
										<div class="item">
											<a href="#">2</a>
										</div>
										<div class="item">
											<a href="#">3</a>
										</div>
										<div class="special">
											...
										</div>
										<div class="item">
											<a href="#">10</a>
										</div>
										<div class="right">
											<a href="#">
												<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M13.172 12l-4.95-4.95 1.414-1.414L16 12l-6.364 6.364-1.414-1.414z"/></svg>
											</a>
										</div>
									</div>
								</div>
							</td>
						</tr>
					</tfoot>
				</table>
			</div>
			<?php else: ?>
			<div class="diyovm-table">
				<table>
					<tbody>
						<tr>
							<td>
								<div class="empty-icon">
									<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="56"><path fill="none" d="M0 0h24v24H0z"></path><path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2zm0 15a4.987 4.987 0 0 1-1.828-.345l-2.236 2.237A7.963 7.963 0 0 0 12 20a7.963 7.963 0 0 0 4.064-1.108l-2.236-2.237A4.987 4.987 0 0 1 12 17zm-8-5c0 1.484.404 2.873 1.108 4.064l2.237-2.236A4.987 4.987 0 0 1 7 12c0-.645.122-1.261.345-1.828L5.108 7.936A7.963 7.963 0 0 0 4 12zm14.892-4.064l-2.237 2.236c.223.567.345 1.183.345 1.828s-.122 1.261-.345 1.828l2.237 2.236A7.963 7.963 0 0 0 20 12a7.963 7.963 0 0 0-1.108-4.064zM12 9a3 3 0 1 0 0 6 3 3 0 0 0 0-6zm0-5a7.963 7.963 0 0 0-4.064 1.108l2.236 2.237A4.987 4.987 0 0 1 12 7c.645 0 1.261.122 1.828.345l2.236-2.237A7.963 7.963 0 0 0 12 4z"></path></svg>
								</div>
								<div class="empty-title">
									İşlem kayıtları sistemde bulunmuyor.
								</div>
								<div class="empty-desc">
									Uzman teknik ekibimizle 7/24 hizmetinizdeyiz.
								</div>
								<div style="display:flex;align-items: center;justify-content: center;margin-bottom: 14px;">
								</div>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<?php endif; ?>
		</div>
		<div data-content="guc-yonetimi" class="diyovm-page">
			<div class="diyovm-manage">
				<?php if($vm['sdata']['stats']['power_status'] == 1): ?>
				<button class="actionStatus" data-action="stop">
					<span>
						<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zM9 9v6h6V9H9z"/></svg>
					</span>
					<span>DURDUR</span>
				</button>
				<button class="actionStatus" data-action="restart">
					<span>
						<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M18.537 19.567A9.961 9.961 0 0 1 12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10c0 2.136-.67 4.116-1.81 5.74L17 12h3a8 8 0 1 0-2.46 5.772l.997 1.795z"/></svg>
					</span>
					<span>YENİDEN BAŞLAT</span>
				</button>
				<?php else: ?>
				<button class="actionStatus" data-action="start">
					<span>
						<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zM10.622 8.415a.4.4 0 0 0-.622.332v6.506a.4.4 0 0 0 .622.332l4.879-3.252a.4.4 0 0 0 0-.666l-4.88-3.252z"/></svg>
					</span>
					<span>BAŞLAT</span>
				</button>
				<?php endif; ?>
				</div>
				<hr style="margin:20px 0px">
				<div>
					<form class="diyovm-format" id="passwordForm">
						<div class="diyovm-format-item">
							<label>
								Yeni Sunucu Şifresi
							</label>
							<div class="diyovm-format-password">
								<input type="text" name="password" id="password1" placeholder="Sunucu şifresini belirleyin" value="<?= $vm["sdata"]["config"]["password"] ?>">
								<button class="createPassword" data-areaid="password1">Rastgele Şifre Oluştur</button>
							</div>
						</div>
						<div class="diyovm-format-approval">
							<input type="checkbox" id="onserver" name="onserver">
							<label for="onserver">Şifreyi sunucu üzerinde de güncelle</label>
						</div>
						<div class="diyovm-format-btn">
							<button class="mavibtn passwordButton">Değiştir</button>
						</div>
					</form>
				</div>
			</div>
			<div data-content="ipv4-yonetimi" class="diyovm-page">
				<div class="diyovm-table">
					<div class="diyovm-table-header">
						Tanımlı IPv4 Adresleri
					</div>
					<table>
						<thead>
							<tr>
								<th>Ip Adresi</th>
								<th>Gateway</th>
								<th>NETMASK</th>
								<th>Mac</th>
							</tr>
						</thead>
						<tbody>
							<?php $ipaddreslist = []; ?>
							<?php foreach($iplist as $ip): ?>
								<?php $ipaddreslist[(int)$ip["iid"]] = $ip["iaddress"]; ?>
								<tr><td><?= $ip["iaddress"] ?></td><td><?= $ip["igateway"] ?></td><td><?= $ip["inetmask"] ?></td><td><?= $ip["imac"] ?></td></tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
			</div>
			<div data-content="yedek-yonetimi" class="diyovm-page">
				<?php if($snapshotlist): ?>
					<div style="display:flex;align-items: center;justify-content: flex-end;margin-bottom: 14px;">
						<a class="createSnapshot mavibtn" href="#" style="width: max-content;margin: 0;">
							Yedek Oluştur
						</a>
					</div>
				<?php endif; ?>
				<div class="diyovm-table">
					<?php if($snapshotlist): ?>
						<div class="diyovm-table-header">
							İmaj Yedeklerim
						</div>
					<?php endif; ?>
					<table>
					<?php if($snapshotlist): ?>
						<thead>
							<tr>
								<th>Yedek Numarası</th>
								<th>Format Tarihi</th>
								<th>İşlem</th>
							</tr>
						</thead>
						<?php endif; ?>
						<tbody>
							<?php if($snapshotlist): ?>
							<?php foreach($snapshotlist as $snapshot): ?>
							<?php $snapdate = date("d.m.Y H:i",$snapshot["sdateline"]); ?>
							<tr id="snapshot<?= $snapshot["ssid"] ?>">
								<td><?= $snapshot["sname"] ?></td>
								<td><?= $snapdate ?></td>
								<td>
									<a href="#" class="incelebtn deploySnapshot" data-ssid="<?= $snapshot["ssid"] ?>" data-snapdate="<?= $snapdate ?>"><i class="fa fa-cog" aria-hidden="true"></i> Kur</a>
									<a href="#" class="incelebtn deleteSnapshot" data-ssid="<?= $snapshot["ssid"] ?>" data-snapdate="<?= $snapdate ?>"><i class="fa fa-cog" aria-hidden="true"></i> Sil</a>
								</td>
							</tr>
							<?php endforeach; ?>
							<?php else: ?>
							<tr>
								<td colspan="3">
									<div class="empty-icon">
										<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="56"><path fill="none" d="M0 0h24v24H0z"></path><path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2zm0 15a4.987 4.987 0 0 1-1.828-.345l-2.236 2.237A7.963 7.963 0 0 0 12 20a7.963 7.963 0 0 0 4.064-1.108l-2.236-2.237A4.987 4.987 0 0 1 12 17zm-8-5c0 1.484.404 2.873 1.108 4.064l2.237-2.236A4.987 4.987 0 0 1 7 12c0-.645.122-1.261.345-1.828L5.108 7.936A7.963 7.963 0 0 0 4 12zm14.892-4.064l-2.237 2.236c.223.567.345 1.183.345 1.828s-.122 1.261-.345 1.828l2.237 2.236A7.963 7.963 0 0 0 20 12a7.963 7.963 0 0 0-1.108-4.064zM12 9a3 3 0 1 0 0 6 3 3 0 0 0 0-6zm0-5a7.963 7.963 0 0 0-4.064 1.108l2.236 2.237A4.987 4.987 0 0 1 12 7c.645 0 1.261.122 1.828.345l2.236-2.237A7.963 7.963 0 0 0 12 4z"></path></svg>
									</div>
									<div class="empty-title">
										Hiçbir alınmış yedeğiniz sistemde bulunmuyor.
									</div>
									<div class="empty-desc">
										Uzman teknik ekibimizle 7/24 hizmetinizdeyiz.
									</div>
									<div style="display:flex;align-items: center;justify-content: center;margin-bottom: 14px;">
										<a class="createSnapshot mavibtn" href="#" style="width: max-content;padding: 5px 9px;font-size: 15px;margin: 0;">
											Yedek Oluştur
										</a>
									</div>
								</td>
							</tr>
							<?php endif; ?>
						</tbody>
					</table>
				</div>
			</div>
			<div data-content="format" class="diyovm-page">
				<form class="diyovm-format" id="formatForm">
					<div style="width:100%" class="diyovm-format-item">
						<label>İşletim Sistemi</label>
						<select style="width:100%" class="new-select" name="template">
							<?php
							$checkallow = false;
							$allowtemplate = $info["formatOsList"];
							if($allowtemplate){
								if(strpos($allowtemplate,",") !== false){
									$allow = explode(",",$allowtemplate);
									if(count($allow) > 1){
										$allowed = $allow;
										$checkallow = true;
									}
								}
								else{
									$allowed[] = $allowtemplate;
									$checkallow = true;
								}
							}
							?>
							<?php foreach($templatelist as $template): ?>
								<?php 
								if($checkallow){
									if(!in_array($template["tid"],$allowed)){
										continue;
									}
								}
								?>
								<option value="<?= $template["tid"] ?>"><?= $template["tname"] ?></option>
							<?php endforeach; ?>
						</select>
					</div>
					<div class="diyovm-format-item">
						<label>
							Sunucu Şifresi
						</label>
						<div class="diyovm-format-password">
							<input type="text" name="password" id="password2" placeholder="Sunucu şifresini belirleyin">
							<button class="createPassword" data-areaid="password2">Rastgele Şifre Oluştur</button>
						</div>
					</div>
					<div class="diyovm-format-approval">
						<input type="checkbox" id="approval2" name="approval2">
						<label for="approval2">Bu işlem sonucunda bulunan <strong><?= count($snapshotlist); ?> yedeğiniz kalıcı olarak formatla beraber silinecektir.</strong> Format atmadan yedeğinizi kurmak için lütfen yedek yönetimi sekmesinden "Kur" kısmına tıklayınız.</label>
					</div>
					<div class="diyovm-format-approval">
						<input type="checkbox" id="approval" name="approval">
						<label for="approval">Bu işlem sonucu sunucumun <strong style="color:red">sıfırlanacağını</strong> okudum onaylıyorum</label>
					</div>
					<div class="diyovm-format-btn">
						<button class="mavibtn formatButton">Sıfırla</button>
					</div>
				</form>
			</div>
			<div data-content="rDns" class="diyovm-page">
				<?php if($rdnslist): ?>
				<div style="display:flex;align-items: center;justify-content: flex-end;margin-bottom: 14px;">
					<a modal-btn="dns-create" class="mavibtn" href="#" style="display:flex;align-items:center;justify-content:center;width: max-content;margin: 0;">
						<span style="display:flex;margin-right:4px">
							<svg width="17px" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor"><path fill="none" d="M0 0h24v24H0z"/><path d="M11 11V5h2v6h6v2h-6v6h-2v-6H5v-2z"/></svg>
						</span>
						<span>Dns Oluştur</span>
					</a>
				</div>
				<div class="diyovm-table">
					<div class="diyovm-table-header">
						rDNS Kayıtları
					</div>
					<table>
						<thead>
							<tr>
								<th>Süreç</th>
								<th>Ip Adresi</th>
								<th>Type</th>
								<th>Content</th>
								<th>Priority</th>
								<th>Ttl</th>
								<th style="text-align:center">İşlem</th>
							</tr>
						</thead>
						<tbody>
							<?php foreach($rdnslist as $rdns): ?>
							<tr id="dnsRow<?= $rdns["rid"] ?>">
								<td><span class="badge" style="background:<?= $rdns["rstatus"] == 2 ? "#1d78b9":"#ed8178" ?>"><?= $rdns["rstatus"] == 2 ? "Aktif":"İşlemde" ?></span></td>
								<td><?= $ipaddreslist[$rdns["iid"]] ?></td>
								<td><?= $rdns["rtype"] ?></td>
								<td><?= $rdns["rdns"] ?></td>
								<td><?= $rdns["rpriority"] ?></td>
								<td><?= $rdns["rttl"] ?></td>
								<td>
									<a modal-btn="dns-edit-<?= $rdns["rid"] ?>" href="#" class="incelebtn"><i class="fa fa-cog" aria-hidden="true"></i> Düzenle</a>
									<a href="#" class="incelebtn dnsDelete" data-rid="<?= $rdns["rid"] ?>"><i class="fa fa-trash" aria-hidden="true"></i> Sil</a>
								</td>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
					<?php foreach($rdnslist as $rdns): ?>
					<div modal="dns-edit-<?= $rdns["rid"] ?>" class="modal">
						<div class="modal-container">
							<div class="modal-header">
								<div class="modal-title">
									Dns Düzenle
								</div>
								<div class="modal-close">
									<svg fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M12 10.586l4.95-4.95 1.414 1.414-4.95 4.95 4.95 4.95-1.414 1.414-4.95-4.95-4.95 4.95-1.414-1.414 4.95-4.95-4.95-4.95L7.05 5.636z"/></svg>
								</div>
							</div>
							<div class="modal-body">
								<form id="dnsEditForm<?= $rdns["rid"] ?>">
								<div style="width:100%" class="diyovm-format-item">
									<label>
										Ip Adresi
									</label>
									<select style="width:100%" class="new-select" name="ipaddress">
										<?php foreach($ipaddreslist as $iid => $ipaddress): ?>
										<option<?= $iid == $rdns["iid"] ? " selected":"" ?> value="<?= $iid ?>"><?= $ipaddress ?></option>
										<?php endforeach; ?>
									</select>
								</div>
								<div style="width:100%" class="diyovm-format-item">
									<label>
										Dns Type
									</label>
									<select style="width:100%" class="new-select" name="type">
										<option value="PTR" selected>PTR</option>
									</select>
								</div>
								<div class="diyovm-format-item">
									<label>
										Dns Content
									</label>
									<input type="text" name="dns" value="<?= $rdns["rdns"] ?>">
								</div>
								<div class="diyovm-format-item">
									<label>
										Dns Priority
									</label>
									<input type="text" name="priority" value="<?= $rdns["rpriority"] ?>">
								</div>
								<div class="diyovm-format-item">
									<label>
										Dns TTL
									</label>
									<input type="text" name="ttl" value="<?= $rdns["rttl"] ?>">
								</div>
								<div class="diyovm-format-btn">
									<button class="mavibtn dnsEdit" data-rid="<?= $rdns["rid"] ?>">Kaydet</button>
								</div>
								</form>
							</div>
						</div>
					</div>
					<?php endforeach; ?>
				</div>
				<?php else: ?>
				<div class="diyovm-table">
					<table>
						<tbody>
							<tr>
								<td colspan="7">
									<div class="empty-icon">
										<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="56"><path fill="none" d="M0 0h24v24H0z"></path><path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2zm0 15a4.987 4.987 0 0 1-1.828-.345l-2.236 2.237A7.963 7.963 0 0 0 12 20a7.963 7.963 0 0 0 4.064-1.108l-2.236-2.237A4.987 4.987 0 0 1 12 17zm-8-5c0 1.484.404 2.873 1.108 4.064l2.237-2.236A4.987 4.987 0 0 1 7 12c0-.645.122-1.261.345-1.828L5.108 7.936A7.963 7.963 0 0 0 4 12zm14.892-4.064l-2.237 2.236c.223.567.345 1.183.345 1.828s-.122 1.261-.345 1.828l2.237 2.236A7.963 7.963 0 0 0 20 12a7.963 7.963 0 0 0-1.108-4.064zM12 9a3 3 0 1 0 0 6 3 3 0 0 0 0-6zm0-5a7.963 7.963 0 0 0-4.064 1.108l2.236 2.237A4.987 4.987 0 0 1 12 7c.645 0 1.261.122 1.828.345l2.236-2.237A7.963 7.963 0 0 0 12 4z"></path></svg>
									</div>
									<div class="empty-title">
										Hiçbir dns işleminiz bulunmuyor.
									</div>
									<div class="empty-desc">
										Uzman teknik ekibimizle 7/24 hizmetinizdeyiz.
									</div>
									<div style="display:flex;align-items: center;justify-content: center;margin-bottom: 14px;">
										<a class="mavibtn" modal-btn="dns-create" href="#" style="width: max-content;padding: 5px 9px;font-size: 15px;margin: 0;">
											DNS Ekle
										</a>
									</div>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
				<?php endif; ?>
			</div>
			<div modal="dns-create" class="modal">
				<div class="modal-container">
					<div class="modal-header">
						<div class="modal-title">
							Dns Oluştur
						</div>
						<div class="modal-close">
							<svg fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="none" d="M0 0h24v24H0z"/><path d="M12 10.586l4.95-4.95 1.414 1.414-4.95 4.95 4.95 4.95-1.414 1.414-4.95-4.95-4.95 4.95-1.414-1.414 4.95-4.95-4.95-4.95L7.05 5.636z"/></svg>
						</div>
					</div>
					<div class="modal-body">
						<form id="dnsCreateForm">
						<div style="width:100%" class="diyovm-format-item">
							<label>
								Ip Adresi
							</label>
							<select style="width:100%" class="new-select" name="ipaddress">
								<?php foreach($ipaddreslist as $iid => $ipaddress): ?>
								<option value="<?= $iid ?>"><?= $ipaddress ?></option>
								<?php endforeach; ?>
							</select>
						</div>
						<div style="width:100%" class="diyovm-format-item">
							<label>
								Dns Type
							</label>
							<select style="width:100%" class="new-select" name="type">
								<option value="PTR" selected>PTR</option>
							</select>
						</div>
						<div class="diyovm-format-item">
							<label>
								Dns Content
							</label>
							<input type="text" name="dns">
						</div>
						<div class="diyovm-format-item">
							<label>
								Dns Priority
							</label>
							<input type="text" name="priority" value="0">
						</div>
						<div class="diyovm-format-item">
							<label>
								Dns TTL
							</label>
							<input type="text" name="ttl" value="3600">
						</div>
						<div class="diyovm-format-btn">
							<button class="mavibtn dnsCreate">Ekle</button>
						</div>
						</form>
					</div>
				</div>
			</div>
	</div>
	<div>
		
	</div>
	<script type="text/javascript">
		$("[modal-btn]").on("click",function() {
			$("[modal='"+$(this).attr("modal-btn")+"']").addClass("active");
			return false;
		});
		$(".modal,.modal-close").on("click",function() {
			$(".modal").removeClass("active");
		});
		$(".modal-container").on("click",function(e) {
			e.stopPropagation()
		});
		$(".diyovm-new .tab a").on("click",function() {
			$(".diyovm-page").removeClass("active");
			$(".diyovm-new .tab a").removeClass("active");
			$(".diyovm-page[data-content='"+$(this).attr("data-tab")+"']").addClass("active");
			$(this).addClass("active");
		});
		$("[copy]").on("click",function() {
			var x = $(this).text();
			var y = $(this);
			navigator.clipboard.writeText(x);
			$(this).text("Kopyalandı");
			setTimeout(function() {
				y.text(x);
			}, 1000);
		});
		var more = true;
		setInterval(function(){ 
			if(more){
				more = false;
				$.ajax({
					url: "<?php echo $module->area_link; ?>",
					type: "post",
					data: {
						inc:"panel_operation_method",
						method:"check_stat",
					},
					dataType: "json",
					crossDomain: true,
					success: function(response){
						console.log(response);
						more = true;
					}
				});	
			}	
		},10000);
		$(".actionStatus").on("click",function(){
			var action = $(this).data("action");
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: {
					inc:"panel_operation_method",
					method:"status_action",
					action:action
				},
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						setTimeout(function(){
							location.reload();
						},1000);
					}
					else{
						alert_error(response.message);
					}
				}
			});	
			return false;
		});
		$(".createSnapshot").on("click",function(){
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: {
					inc:"panel_operation_method",
					method:"create_snapshot"
				},
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						setTimeout(function(){
							location.reload();
						},1000);
					}
					else{
						alert_error(response.message);
					}
				}
			});
			return false;
		});
		$(".deploySnapshot").on("click",function(){
			var ssid = $(this).data("ssid");
			var date = $(this).data("snapdate");
			var status = confirm('Bu işlem sonucunda mevcut dosyalarınız silinerek '+date+' tarihinde alınmış olan yedeğiniz kurulacaktır.');
			if(status){
				$.ajax({
					url: "<?php echo $module->area_link; ?>",
					type: "post",
					data: {
						inc:"panel_operation_method",
						method:"deploy_snapshot",
						ssid:ssid
					},
					dataType: "json",
					crossDomain: true,
					success: function(response){
						if(response.status){
							alert_success(response.message);
							setTimeout(function(){
								location.reload();
							},1000);
						}
						else{
							alert_error(response.message);
						}
					}
				});	
			}
			return false;
		});
		$(".deleteSnapshot").on("click",function(){
			var ssid = $(this).data("ssid");
			var date = $(this).data("snapdate");
			var status = confirm('Bu işlem sonucunda '+date+' tarihinde alınmış yedeğiniz kalıcı olarak silinecektir.');
			if(status){
				$.ajax({
					url: "<?php echo $module->area_link; ?>",
					type: "post",
					data: {
						inc:"panel_operation_method",
						method:"delete_snapshot",
						ssid:ssid
					},
					dataType: "json",
					crossDomain: true,
					success: function(response){
						if(response.status){
							$("#snapshot"+ssid).remove();
							alert_success(response.message);
						}
						else{
							alert_error(response.message);
						}
					}
				});	
			}
			return false;
		});
		$(".dnsCreate").on("click",function(){
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: "inc=panel_operation_method&method=create_dnsrecord&"+$("#dnsCreateForm").serialize(),
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						setTimeout(function(){
							location.reload();
						},1000);
					}
					else{
						alert_error(response.message);
					}
				}
			});
			return false;
		});
		$(".dnsEdit").on("click",function(){
			var rid = $(this).data("rid");
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: "inc=panel_operation_method&method=edit_dnsrecord&rid="+rid+"&"+$("#dnsEditForm"+rid).serialize(),
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						setTimeout(function(){
							location.reload();
						},1000);
					}
					else{
						alert_error(response.message);
					}
				}
			});
			return false;
		});
		$(".dnsDelete").on("click",function(){
			var rid = $(this).data("rid");
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: "inc=panel_operation_method&method=delete_dnsrecord&rid="+rid,
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						$("#dnsRow"+rid).hide("slow");
					}
					else{
						alert_error(response.message);
					}
				}
			});
			return false;
		});
		var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!.@,";
		var charsl = chars.length;
		var result = "";
		$(".createPassword").on("click",function(){	
			var id = $(this).data("areaid");
			result = "!";
			for(var i = 0; i < 12; i++){
				result += chars.charAt(Math.floor(Math.random()*(charsl+1)));
			}	
			$("#"+id).val(result);
			return false;
		});
		$(".passwordButton").on("click",function(){
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: $("#passwordForm").serialize()+"&inc=panel_operation_method&method=password",
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						setTimeout(function(){
							location.reload();
						},1000);
					}
					else{
						alert_error(response.message);
					}
				}
			});	
			return false;
		});
		$(".formatButton").on("click",function(){
			$.ajax({
				url: "<?php echo $module->area_link; ?>",
				type: "post",
				data: $("#formatForm").serialize()+"&inc=panel_operation_method&method=format",
				dataType: "json",
				crossDomain: true,
				success: function(response){
					if(response.status){
						alert_success(response.message);
						setTimeout(function(){
							location.reload();
						},1000);
					}
					else{
						alert_error(response.message);
					}
				}
			});	
			return false;
		});
		$(".new-select").select2({
			"language": {
				"noResults": function(){
					return "Aradığınız işletim sistemi bulunamadı.";
				}
			}
		});
	</script>